clear all
cap log close
log using "${results}/${name}_bounds_analysis", text replace
log off


foreach lkdfjlgj of local variousinst {
	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"	
	
	forvalues y=$init_year (2) 2012 {
		* sesso rw
		bootstrap, rep(${reps}): manski_cont ${dep} if sesso==0 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat manski0=nullmat(manski0) \ `y', e(b)
		est save "${results}/${name}_manski_`lkdfjlgj'_rw_`y'",replace
	
		bootstrap, rep(${reps}): manski_better_outcome ${dep} if sesso==0 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat mbet0=nullmat(mbet0) \ `y', e(b)
		est save "${results}/${name}_mbet_`lkdfjlgj'_rw_`y'",replace

		bootstrap, rep(${reps}): sv_cont ${dep} if sesso==0 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat sv0=nullmat(sv0) \ `y', e(b)
		est save "${results}/${name}_sv_`lkdfjlgj'_rw_`y'",replace
	
		bootstrap, rep(${reps}): bsv_cont ${dep} if sesso==0 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat bsv0=nullmat(bsv0) \ `y', e(b)
		est save "${results}/${name}_bsv_`lkdfjlgj'_rw_`y'",replace
	
		* sesso rm
		bootstrap, rep(${reps}): manski_cont ${dep} if sesso==1 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat manski1=nullmat(manski1) \ `y', e(b)
		est save "${results}/${name}_manski_`lkdfjlgj'_rm_`y'",replace
	
		bootstrap, rep(${reps}): manski_better_outcome ${dep} if sesso==1 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat mbet1=nullmat(mbet1) \ `y', e(b)
		est save "${results}/${name}_mbet_`lkdfjlgj'_rm_`y'",replace
	
		bootstrap, rep(${reps}): sv_cont ${dep} if sesso==1 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat sv1=nullmat(sv1) \ `y', e(b)
		est save "${results}/${name}_sv_`lkdfjlgj'_rm_`y'",replace
	
		bootstrap, rep(${reps}): bsv_cont ${dep} if sesso==1 & anno==`y' , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
		mat bsv1=nullmat(bsv1) \ `y', e(b)
		est save "${results}/${name}_bsv_`lkdfjlgj'_rm_`y'",replace
	
	}
	
	preserve
	local method "bsv sv mbet manski"
	foreach jsjffsfsfs of local method {
		clear
		svmat `jsjffsfsfs'0
		svmat `jsjffsfsfs'1
		tw (rspike `jsjffsfsfs'02 `jsjffsfsfs'03 `jsjffsfsfs'01,  ), xlabel($init_year (2)2012) xtitle(Year) ytitle({&beta}) leg(label(1 Women))
		gr export "${results}/${name}_graph_bound_`jsjffsfsfs'_`lkdfjlgj'_women.png",replace
		tw (rspike `jsjffsfsfs'12 `jsjffsfsfs'13 `jsjffsfsfs'11,  ), xlabel($init_year (2)2012) xtitle(Year) ytitle({&beta}) leg(label(1 Men))
		gr export "${results}/${name}_graph_bound_`jsjffsfsfs'_`lkdfjlgj'_men.png",replace
		replace `jsjffsfsfs'11=`jsjffsfsfs'11+.25
		tw (rspike `jsjffsfsfs'02 `jsjffsfsfs'03 `jsjffsfsfs'01,  ) (rspike `jsjffsfsfs'12 `jsjffsfsfs'13 `jsjffsfsfs'11,  ), xlabel($init_year(2)2012) xtitle(Year) ytitle({&beta}) leg(label(1 Women) label(2 Men)) 
		gr export "${results}/${name}_graph_bound_`jsjffsfsfs'_`lkdfjlgj'_bothgender.png",replace
		log on
		di "`lkdfjlgj': `jsjffsfsfs'"
		di "	Women"
		mat list `jsjffsfsfs'0
		di "	Men"
		mat list `jsjffsfsfs'1
		noi di "********************"
		log off
		
	}
	restore
	* This is a plot to compare bounds
	preserve
	clear
	local method " manski sv bsv "
	foreach jsjffsfsfs of local method {
		svmat `jsjffsfsfs'0
		svmat `jsjffsfsfs'1
		mat drop `jsjffsfsfs'0
		mat drop `jsjffsfsfs'1
	}
	replace sv11=sv01+.25
	replace bsv11=bsv01+.5
	replace sv01=sv01+.25
	replace bsv01=bsv01+.5
	tw (rspike manski02 manski03 manski01, lp(.-.)  )(rspike sv02 sv03 sv01, lp(dash)  )(rspike bsv02 bsv03 bsv01,  lp(solid) ), ///
	xlabel($init_year (2)2012) xtitle(Year) ytitle("") leg(label(1 "Manski (1990)") label(2 SV) label(3 "BSV")) leg(ro(1)) ylabel(-3.5(1)3.5) yline(0)
	gr export "${results}/${name}_graph_compare_bounds_`lkdfjlgj'_women.png",replace
	tw (rspike manski12 manski13 manski11, lp(.-.)  )(rspike sv12 sv13 sv11, lp(dash)  )(rspike bsv12 bsv13 bsv11,  lp(solid) ), ///
	xlabel($init_year (2)2012) xtitle(Year) ytitle("") leg(label(1 "Manski (1990)") label(2 SV) label(3 "BSV")) leg(ro(1)) ylabel(-3.5(1)3.5) yline(0)
	gr export "${results}/${name}_graph_compare_bounds_`lkdfjlgj'_men.png",replace
	restore
	
	**************************************
	*	POOLING YEARS
	**************************************
	keep if anno>=2006
	* sesso rw
	bootstrap, rep(${reps}): manski_cont ${dep} if sesso==0 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat manski0= tmp
	est save "${results}/${name}_manski_`lkdfjlgj'_rw_pool",replace

	bootstrap, rep(${reps}): manski_better_outcome ${dep} if sesso==0 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat mbet0= tmp
	est save "${results}/${name}_mbet_`lkdfjlgj'_rw_pool",replace

	bootstrap, rep(${reps}): sv_cont ${dep} if sesso==0 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat sv0= tmp
	est save "${results}/${name}_sv_`lkdfjlgj'_rw_pool",replace

	bootstrap, rep(${reps}): bsv_cont ${dep} if sesso==0 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat bsv0= tmp
	est save "${results}/${name}_bsv_`lkdfjlgj'_rw_pool",replace

	* sesso rm
	bootstrap, rep(${reps}): manski_cont ${dep} if sesso==1  , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat manski1= tmp
	est save "${results}/${name}_manski_`lkdfjlgj'_rm_pool",replace

	bootstrap, rep(${reps}): manski_better_outcome ${dep} if sesso==1  , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat mbet1= tmp
	est save "${results}/${name}_mbet_`lkdfjlgj'_rm_pool",replace

	bootstrap, rep(${reps}): sv_cont ${dep} if sesso==1  , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat sv1= tmp
	est save "${results}/${name}_sv_`lkdfjlgj'_rm_pool",replace

	bootstrap, rep(${reps}): bsv_cont ${dep} if sesso==1  , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( `lkdfjlgj') nobound matrix("tmp")
	mat bsv1= tmp
	est save "${results}/${name}_bsv_`lkdfjlgj'_rm_pool",replace

	mat inst`lkdfjlgj'0 = manski0',mbet0',sv0',bsv0' 
	mat inst`lkdfjlgj'1 = manski1',mbet1', sv1',bsv1' 
	mat rownames inst`lkdfjlgj'0= lower upper
	mat colnames inst`lkdfjlgj'0= manski mbetter sv bsv
	mat rownames inst`lkdfjlgj'1= lower upper
	mat colnames inst`lkdfjlgj'1= manski mbetter sv bsv
	
	log on
	mat list inst`lkdfjlgj'0
	mat list inst`lkdfjlgj'1
	log off
	
	mat drop manski0 mbet0 sv0 bsv0 manski1 mbet1 sv1 bsv1

}
est drop _all
mat drop _all	
log close
