clear all
do "${dofiles}/ado/mts_bound.mata"
do "${dofiles}/ado/mtr_mts_bound.mata"
cap log close
log using "${results}/${name}_bounds_analysis_manski_pepper", text replace

******************************************
*	MTS 
******************************************
qui{
	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"	
keep if sesso==0
gen uno=1
qui sum ${dep}
local minimo=r(min)
local maximo=r(max)
mata: mts_bound("${dep}","pub","uno",0,`minimo',`maximo')
mat mts0=(mts_lower_bound_y,mts_upper_bound_y)
mata: mts_bound("${dep}","pub","uno",1,`minimo',`maximo')
mat mts1=(mts_lower_bound_y,mts_upper_bound_y)
mat mts=(mts1[1,1]-mts0[1,2] , mts1[1,2]-mts0[1,1] )

	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"	
keep if sesso==1
gen uno=1
qui sum ${dep}
local minimo=r(min)
local maximo=r(max)
mata: mts_bound("${dep}","pub","uno",0,`minimo',`maximo')
mat mts0=(mts_lower_bound_y,mts_upper_bound_y)
mata: mts_bound("${dep}","pub","uno",1,`minimo',`maximo')
mat mts1=(mts_lower_bound_y,mts_upper_bound_y)
mat mtstmp=(mts1[1,1]-mts0[1,2] , mts1[1,2]-mts0[1,1] )
mat mts=mts \ mtstmp
mat rowname mts=women men
mat colname mts=lower upper
}
mat list mts

******************************************
*	MTR / MTS
******************************************
qui{
	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"	
keep if sesso==0
gen uno=1
qui sum ${dep}
local minimo=r(min)
local maximo=r(max)
mata: mtr_mts_bound("${dep}","pub","uno",0,`minimo',`maximo')
mat mts_mtr0=(mts_mtr_lower_bound_y,mts_mtr_upper_bound_y)
mata: mtr_mts_bound("${dep}","pub","uno",1,`minimo',`maximo')
mat mts_mtr1=(mts_mtr_lower_bound_y,mts_mtr_upper_bound_y)
mat mts_mtr=(mts_mtr1[1,1]-mts_mtr0[1,2] , mts_mtr1[1,2]-mts_mtr0[1,1] )

	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"	
keep if sesso==1
gen uno=1
qui sum ${dep}
local minimo=r(min)
local maximo=r(max)
mata: mtr_mts_bound("${dep}","pub","uno",0,`minimo',`maximo')
mat mts_mtr0=(mts_mtr_lower_bound_y,mts_mtr_upper_bound_y)
mata: mtr_mts_bound("${dep}","pub","uno",1,`minimo',`maximo')
mat mts_mtr1=(mts_mtr_lower_bound_y,mts_mtr_upper_bound_y)
mat mts_mtr_tmp=(mts_mtr1[1,1]-mts_mtr0[1,2] , mts_mtr1[1,2]-mts_mtr0[1,1] )
mat mts_mtr=mts_mtr \ mts_mtr_tmp
mat rowname mts_mtr=women men
mat colname mts_mtr=lower upper
}
mat list mts_mtr
qui log close
mat drop _all
