	use "${final_data}/dataset_analysis",clear
	qui do "${dofiles}/adjusting_sample"
keep if anno>=2006	
	bootstrap, rep(5): bsv_cont ${dep} if sesso==1 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( papapub) nobound matrix("tmp")
est store all
keep if e(sample)==1
count
local num_all=r(N)
sum ${dep} if pub==1
local des1=r(mean)
local n1=r(N)
sum ${dep} if pub==0
local des0=r(mean)
local n0=r(N)

sum ${dep} if papapub==1
local mean1=r(mean)
sum ${dep} if papapub==0
local mean0=r(mean)
local lower=`mean1'-`mean0'
* upper
sum ${dep} if papapub==1 & pub==1
local upp_mean1=r(mean)
sum ${dep} if papapub==0 & pub==0
local upp_mean0=r(mean)
local upper=`upp_mean1'-`upp_mean0'
est tab all
di `lower',`upper'

*****************************************
*	OLD
*****************************************
preserve
keep if eta>40
	bootstrap, rep(5): bsv_cont ${dep} if sesso==1 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( papapub) nobound matrix("tmp")
est store ols
keep if e(sample)==1
count
local num_old=r(N)
sum ${dep} if pub==1
local old_des1=r(mean)
local old_n1=r(N)
sum ${dep} if pub==0
local old_des0=r(mean)
local old_n0=r(N)

sum ${dep} if papapub==1
local old_mean1=r(mean)
sum ${dep} if papapub==0
local old_mean0=r(mean)
local old_lower=`old_mean1'-`old_mean0'
* upper
sum ${dep} if papapub==1 & pub==1
local old_upp_mean1=r(mean)
sum ${dep} if papapub==0 & pub==0
local old_upp_mean0=r(mean)
local old_upper=`old_upp_mean1'-`old_upp_mean0'
est tab all
di `old_lower',`old_upper'
restore

*****************************************
*	young
*****************************************
preserve
keep if eta<=40
	bootstrap, rep(5): bsv_cont ${dep} if sesso==1 , treatment(pub ) knots(.01 .1 .2 .3 .4 .5) ///
		smooth(.4 1 1 1 1 .4) modelprob("probit") instrument( papapub) nobound matrix("tmp")
est store young
keep if e(sample)==1
count
local num_young=r(N)
sum ${dep} if pub==1
local young_des1=r(mean)
local young_n1=r(N)
sum ${dep} if pub==0
local young_des0=r(mean)
local young_n0=r(N)

sum ${dep} if papapub==1
local young_mean1=r(mean)
sum ${dep} if papapub==0
local young_mean0=r(mean)
local young_lower=`young_mean1'-`young_mean0'
* upper
sum ${dep} if papapub==1 & pub==1
local young_upp_mean1=r(mean)
sum ${dep} if papapub==0 & pub==0
local young_upp_mean0=r(mean)
local young_upper=`young_upp_mean1'-`young_upp_mean0'
est tab all
di `young_lower',`young_upper'
restore


*****************************************
*	numeri
****************************************
qui{
cap mat drop component component_lower
mat component_lower=`num_all', `num_old',`num_young'
mat component_lower=component_lower \ `n0', `old_n0',`young_n0'
mat component_lower=component_lower \ `n1', `old_n1',`young_n1'
mat component_lower=component_lower \ `des0', `old_des0',`young_des0'
mat component_lower=component_lower \ `des1', `old_des1',`young_des1'
mat component_lower=component_lower \ `mean0', `old_mean0',`young_mean0'
mat component_lower=component_lower \ `mean1', `old_mean1',`young_mean1'

clear 
svmat component_lower
set obs 8
forvalues kdbod=1/3 {
replace component_lower`kdbod'=component_lower`kdbod'[7]-component_lower`kdbod'[6] in 8
}
gen indice=_n
save tmp,replace
noi list

mat component= `upp_mean0', `old_upp_mean0',`young_upp_mean0'
mat component=component \ `upp_mean1', `old_upp_mean1',`young_upp_mean1'
clear 
svmat component
set obs 3
forvalues kdbod=1/3 {
replace component`kdbod'=component`kdbod'[2]-component`kdbod'[1] in 3
ren component`kdbod' component_lower`kdbod'
}
noi list
gen indice=_n+8
append using tmp
sort indice
erase tmp.dta
label define indice 1 "Num." 2 "Obs. D=0" 3 "Obs. D=1" 4 "E[y|D=0]" 5 "E[y|D=1]" 6 "E[y|Z=0]" 7 "E[y|Z=1]" 8 "Lower BSV" 9 "E[y|D=0,Z=0] (A)" 10 "E[y|D=1,Z=1] (B)" 11 "Upper BSV (B-A)"
label value indice indice
***** some calculus
forvalues kdbod=2/3 {
gen share`kdbod'=component_lower`kdbod'/component_lower1 in 2/3
replace share`kdbod'=share`kdbod'[2]*component_lower`kdbod'[4] in 4
replace share`kdbod'=share`kdbod'[3]*component_lower`kdbod'[5] in 5

replace share`kdbod'=share`kdbod'[2]*component_lower`kdbod'[6] in 6
replace share`kdbod'=share`kdbod'[3]*component_lower`kdbod'[7] in 7
replace share`kdbod'=share`kdbod'[2]*component_lower`kdbod'[9] in 9
replace share`kdbod'=share`kdbod'[3]*component_lower`kdbod'[10] in 10
*/
}
gen sum=share2+share3
replace sum=sum[7]-sum[6] in 8
replace sum=sum[10]-sum[9] in 11
order indice component_lower2 component_lower1 component_lower3 share? sum
gen keeping=_n
save "${results}/${name}_explaining_widths_young_old",replace
}
