scalar drop _all

// determining C
scalar den=max(_se[lower],_se[upper])
scalar num=(e(N))^(.5)*(_b[upper]-_b[lower])
scalar delta=num/den

scalar c=invnormal(.95)
qui{
noi di "This is the optimal value of c, without uncertainty:", 
noi scalar list c
noi di "This is coverage as suggested in Imbern, Manski:"
noi di normal(c+delta)-normal(-c)
scalar coverage=normal(c+delta)-normal(-c)
}


exit
qui{
/*
This is taken from the paper 
"Bounding treatment effects: A command for the partial identification of the average treatment effect with endogenous and misreported treatment assignment" 
by McCarthy I. & Millimet D. & Roy M.
Codes are available from
http://faculty.smu.edu/millimet/code.html
*/
local sdu=_se[upper]
local sdl=_se[lower]
local delta=_se[upper]-_se[lower]

local level =95
loc s = 1/max(`sdu',`sdl')
loc c = invnormal(1 - ((100-`level')/200))
loc diff = 99999
while `diff'>0.00001 {
	loc c = `c' - 0.00001
	loc d = normal(`c'+`s'*`delta') - normal(-`c') - (`level'/100)
	loc diff = min(abs(`d'),`diff')
	if `c' < 1 {
		noi di in red "Error with I-M CIs -> CbarN down to 1 .... `r'; `diff'"
		continue, break		
	}
}

mat lower_im=(_b[lower]-`c'*_se[lower],_b[lower]+`c'*_se[lower])
mat upper_im=(_b[upper]-`c'*_se[upper],_b[upper]+`c'*_se[upper])

}

