
cap erase "${final_data}/dataset.dta"


local anno="1998 2000 2002 2004 2006 2008 2010 2012"
local anno_a="98 00 02 04 06 08 10 12"



/****************************
* DATSET STORICO
****************************/
foreach y of local anno {

	use "${orig_data_storico}/rper`y'",clear
	sort nquest nord
	save "${final_data}/new_rper`y'",replace

	/****************************
	* GETTING SINGLE DATASET
	****************************/
	***********************
	* NQUEST  NORD
	***********************
* lavoro componenti	
	use "${orig_data_storico}/comp`y'", clear
	sort nquest nord
	save "${final_data}/new_comp`y'", replace

* lavoro dipndente	
	use "${orig_data_storico}/ldip`y'", clear
	keep if attivp==1	// teniamo solo le attivit primarie
	egen mesimax=max(mesilav),by(nquest nord)
	replace dimaz=. if mesilav!=mesimax		// nota che questo comdando permette di avere un unico valore di dimaz
	collapse (mean) partime dimaz oretot orestra ///
		(min) partean 										///
		(sum) mesilav ylm ylnm					///
		,by(nquest nord)
	*********************************
	* REPLACE DA ARROTONDAMENTI (from collapse)
	*********************************
	replace dimaz=round(dimaz)
	replace mesilav=12 if mesilav>12 & mesilav!=.
	sort nquest nord
	save "${final_data}/new_ldip`y'", replace
	
	***********************
	* NQUEST  only
	***********************
* pesi
	use "${orig_data_storico}/peso`y'", clear
	sort nquest
	save "${final_data}/new_peso`y'", replace

* ricchezza familiare	
	use "${orig_data_storico}/ricf`y'",clear
	sort nquest
	save "${final_data}/new_ricf`y'", replace
	
	/****************************
	* MERGING DATA
	****************************/
		* personal data
	use "${final_data}/new_comp`y'",clear
	merge nquest nord using "${final_data}/new_ldip`y'"
	drop _merge
	sort nquest nord
	merge nquest nord using "${final_data}/new_rper`y'"	,keep(yl)
	drop _merge
	sort nquest
	merge nquest using "${final_data}/new_peso`y'"
	drop _merge
	sort nquest
	merge nquest using "${final_data}/new_ricf`y'"
	drop _merge
	save "${final_data}/dataset`y'",replace
	
	erase "${final_data}/new_comp`y'.dta"
	erase "${final_data}/new_peso`y'.dta"
	erase "${final_data}/new_ldip`y'.dta"
	erase "${final_data}/new_rper`y'.dta"
	erase "${final_data}/new_ricf`y'.dta"
}	

	
	
foreach y of local anno {
	use "${final_data}/dataset`y'",clear
	cap append using "${final_data}/dataset"
	save "${final_data}/dataset",replace
	erase "${final_data}/dataset`y'.dta"
}

save "${final_data}/dataset.dta", replace


/*******************************************
* ADDITIONAL INFORMATION FROM DATSET ANNUALE
*******************************************/

foreach y of local anno_a {
	if ("`y'"=="06"|"`y'"=="08"|"`y'"=="10"|"`y'"=="12") local keepingrischio "risfin"
	use "${orig_data_cross}/ind`y'/dati/stata/questfam",clear
	keep  nquest stupcf stumcf conpcf conmcf setpcf setmcf ///
		nopcf nomcf `keepingrischio'
	cap ren stupcf stupcf`y'
	cap ren stumcf stumcf`y'
	cap ren conpcf conpcf`y' 
	cap ren conmcf conmcf`y' 
	cap ren setpcf setpcf`y' 
	cap ren setmcf setmcf`y' 
	cap ren stupco stupco`y' 
	cap ren stumco stumco`y' 
	cap ren conpco conpco`y' 
	cap ren conmco conmco`y' 
	cap ren setpco setpco`y' 
	cap ren setmco setmco`y' 
	cap ren nopcf nopcf`y' 
	cap ren nomcf nomcf`y' 
	cap ren nopco nopco`y' 
	cap ren nomco nomco`y'
	cap ren risfin risfin`y'


	if `y'>50 {
		gen anno=1900+`y'
	}
	if `y'<50 {
		gen anno=2000+`y'
	}
	sort nquest anno
	
	save "${final_data}/genitori`y'",replace
}

/*******************************************
* MERGING ANNUAL WITH STORICO
*******************************************/
use "${final_data}/dataset",clear
sort nquest anno

local totyear: word count `anno_a'
foreach y of local anno_a {
	merge nquest anno using "${final_data}/genitori`y'",_merge(merge`y')
	sort nquest anno
	drop merge`y'
	erase "${final_data}/genitori`y'.dta"
}

include "${dofiles}/variabili_genitori"
******************************************************************
sort nquest nord
saveold "${final_data}/dataset", replace

/*******************************************
* BUILDING VARIABLES
*******************************************/
include "${dofiles}/variables"

******************************************************************
