qui{
/*
This is taken from the paper 
"Bounding treatment effects: A command for the partial identification of the average treatment effect with endogenous and misreported treatment assignment" 
by McCarthy I. & Millimet D. & Roy M.
Codes are available from
http://faculty.smu.edu/millimet/code.html
*/
local sdu=_se[upper]
local sdl=_se[lower]
local delta=_se[upper]-_se[lower]

local level =95
loc s = 1/max(`sdu',`sdl')
loc c = invnormal(1 - ((100-`level')/200))
loc diff = 99999
while `diff'>0.00001 {
	loc c = `c' - 0.00001
	loc d = normal(`c'+`s'*`delta') - normal(-`c') - (`level'/100)
	loc diff = min(abs(`d'),`diff')
	if `c' < 1 {
		noi di in red "Error with I-M CIs -> CbarN down to 1 .... `r'; `diff'"
		continue, break		
	}
}

mat lower_im=(_b[lower]-`c'*_se[lower],_b[lower]+`c'*_se[lower])
mat upper_im=(_b[upper]-`c'*_se[upper],_b[upper]+`c'*_se[upper])

}
/*
di "normal: invnorm(.975)"
di _b[lower]-invnorm(.975)*_se[lower],_b[lower],_b[lower]+invnorm(.975)*_se[lower]
di _b[upper]-invnorm(.975)*_se[upper],_b[upper],_b[upper]+invnorm(.975)*_se[upper]
}
*/

