
use "${final_data}/dataset_analysis",clear
qui do "${dofiles}/adjusting_sample"	



forvalues y=$init_year (2) 2012 {
	di `y'
	qui ivreg2 	${dep} ${covariates_iv}  (pub=papapub papahigh papalow mammapub mammahigh mammalow risfinhigh risfinlow)  if sesso==0 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_low_ris_rw_`y'",replace
	explj,mat(pub_high_low_ris_rw_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=papapub papahigh papalow mammapub mammahigh mammalow)  if sesso==0 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_low_rw_`y'",replace
	explj,mat(pub_high_low_rw_`y')
 	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub mammahigh papapub papahigh )  if sesso==0 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_rw_`y'",replace
	explj,mat(pub_high_rw_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub mammalow papapub papalow)  if sesso==0 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_low_rw_`y'",replace
	explj,mat(pub_low_rw_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub papapub)  if sesso==0 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_rw_`y'",replace
	explj,mat(pub_rw_`y')

	qui ivreg2 	${dep} ${covariates_iv}  (pub=papapub papahigh papalow mammapub mammahigh mammalow risfinhigh risfinlow)  if sesso==1 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_low_ris_rm_`y'",replace
	explj,mat(pub_high_low_ris_rm_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=papapub papahigh papalow mammapub mammahigh mammalow)  if sesso==1 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_low_rm_`y'",replace
	explj,mat(pub_high_low_rm_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub mammahigh papapub papahigh )  if sesso==1 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_high_rm_`y'",replace
	explj,mat(pub_high_rm_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub mammalow papapub papalow)  if sesso==1 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_low_rm_`y'",replace
	explj,mat(pub_low_rm_`y')
	qui ivreg2 	${dep} ${covariates_iv}  (pub=mammapub papapub)  if sesso==1 & anno==`y'  , ffirst first robust
	est save "${results}/${name}_jtest_pub_rm_`y'",replace
	explj,mat(pub_rm_`y')
	
	

}

**************************************
*	POOLING YEARS
**************************************
keep if anno>=2006
tab anno,gen(da)
drop da4
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=papapub papahigh papalow mammapub mammahigh mammalow risfinhigh risfinlow)  if sesso==0  , ffirst first robust
est save "${results}/${name}_iv_jtest_pool_pub_high_low_ris_rw",replace
explj,mat(pub_high_low_ris_rw)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=papapub papahigh papalow mammapub mammahigh mammalow)  if sesso==0  , ffirst first robust
est save "${results}/${name}_iv_jtest_pool_pub_high_low_rw",replace
explj,mat(pub_high_low_rw)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=mammapub mammahigh /*papapub papahigh*/ )  if sesso==0  , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_high_rw",replace
explj,mat(pub_high_rw)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=mammapub mammalow /*papapub papalow*/)  if sesso==0 , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_low_rw",replace
explj,mat(pub_low_rw)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=mammapub /*papapub*/)  if sesso==0  , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_rw",replace
explj,mat(pub_rw)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=mammapub mammalow mammahigh)  if sesso==0  , ffirst first robust
est save "${results}/${name}_jtest_pool_mamma_rw",replace
explj,mat(mamma_rw)

qui ivreg2 	${dep} ${covariates_iv}  da? (pub=papapub papahigh papalow mammapub mammahigh mammalow risfinhigh risfinlow)  if sesso==1  , ffirst first robust
est save "${results}/${name}_iv_jtest_pool_pub_high_low_ris_rm",replace
explj,mat(pub_high_low_ris_rm)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=papapub papahigh papalow mammapub mammahigh mammalow)  if sesso==1  , ffirst first robust
est save "${results}/${name}_iv_jtest_pool_pub_high_low_rm",replace
explj,mat(pub_high_low_rm)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=/*mammapub mammahigh*/ papapub papahigh )  if sesso==1  , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_high_rm",replace
explj,mat(pub_high_rm)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=/*mammapub mammalow*/ papapub papalow)  if sesso==1 , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_low_rm",replace
explj,mat(pub_low_rm)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=/*mammapub*/ papapub)  if sesso==1  , ffirst first robust
est save "${results}/${name}_jtest_pool_pub_rm",replace
explj,mat(pub_rm)
qui ivreg2 	${dep} ${covariates_iv}  da? (pub=papapub papahigh papalow)  if sesso==1  , ffirst first robust
est save "${results}/${name}_jtest_pool_papa_rw",replace
explj,mat(mamma_rm)


clear
cap erase "${results}/${name}_explaining_jtest_rw.dta"
cap erase "${results}/${name}_explaining_jtest_rm.dta"
local matrici "pub_high_low_ris pub_high_low pub_high pub_low pub mamma "
foreach ogfj of local matrici {
	svmat `ogfj'_rw ,names(col)
	cap append using "${results}/${name}_explaining_jtest_rw"
	save "${results}/${name}_explaining_jtest_rw",replace
	clear
	svmat `ogfj'_rm ,names(col)
	cap append using "${results}/${name}_explaining_jtest_rm"
	save "${results}/${name}_explaining_jtest_rm",replace
	clear
}
* WOMEN
use "${results}/${name}_explaining_jtest_rw",replace
gen num1=_n
recode num1 (6=0 "All") (1=20 "MP,ML,MH") (5=10 "MP,ML,MH,FP,FL,FH") (3=30 "MP,ML") (4=40 "MP,MH") (2=50 "MP"),gen(num)
drop num1
sort num
format _all %9.3f
order num
save "${results}/${name}_explaining_jtest_rw",replace
outsheet  using "${results}/${name}_explaining_jtest_rw.tex", noquote nonames delimit("&") replace

* MEN
use "${results}/${name}_explaining_jtest_rm",replace
gen num1=_n
recode num1 (6=0 "All") (1=20 "MP,ML,MH") (5=10 "MP,ML,MH,FP,FL,FH") (3=30 "MP,ML") (4=40 "MP,MH") (2=50 "MP"),gen(num)
drop num1
sort num
format _all %9.3f
order num
save "${results}/${name}_explaining_jtest_rm",replace
outsheet  using "${results}/${name}_explaining_jtest_rm.tex", noquote nonames delimit("&") replace




