
use "${final_data}/dataset_analysis",clear
qui do "${dofiles}/adjusting_sample"	



mat rw=(.,.)
mat rm=(.,.)
forvalues y=$init_year (2) 2012 {
	di `y'
	qui reg ${dep} ${covariates} if sesso==0 & anno==`y'
	est save "${results}/${name}_rw_`y'",replace
	mat rw=rw \ (`y',_b[pub])
	qui reg ${dep} ${covariates} if sesso==1 & anno==`y',
	est save "${results}/${name}_rm_`y'",replace
	mat rm=rm \ (`y',_b[pub])
	qui reg ${dep} ${covariates} sesso if anno==`y',
	est save "${results}/${name}_reg_`y'",replace
}
svmat rw
svmat rm
line rm2 rw2 rm1, xlabel($init_year (2)2012) xtitle(Year) ytitle({&beta}) leg(label(1 Men) label(2 Women)) lp(solid shortdash)
gr export "${results}/${name}_graph_ols_mw.png",replace



	**************************************
	*	POOLING YEARS
	**************************************
	keep if anno>=2006
	tab anno,gen(da)
	drop da4
	qui reg ${dep} ${covariates} da? if sesso==0 
	est save "${results}/${name}_ols_pool_rw",replace
	qui reg ${dep} ${covariates} da? if sesso==1 
	est save "${results}/${name}_ols_pool_rm",replace
	qui reg ${dep} ${covariates} da? sesso 
	est save "${results}/${name}_ols_pool",replace
	
	

