* Notice that the standard errors for bounds are calculated from another files, available on my website
local variousinst "papapub"
global name "bench"

qui{
*=================================================
*	OLS	
*=================================================
forvalues y=$init_year (2) 2012 {
	est use "${results}/${name}_rm_`y'"
	est store rm_`y'
	local tabling_reg_rm "`tabling_reg_rm' rm_`y'"

}

est use "${results}/${name}_ols_pool_rm"
est store ols_pool_rm

noi est table `tabling_reg_rm' ols_pool_rm, keep(pub) star(.1 .05 .01) b(%9.3f)

*=================================================
*	IV
*=================================================
foreach lkdfjlgj of local variousinst {
	local tabling_ivreg_rw ""
	local tabling_ivreg_rm ""
	local tabling_ivreg ""
	forvalues y=$init_year (2) 2012 {

		est use "${results}/${name}_iv_`lkdfjlgj'_rm_`y'"
		est store rm_`lkdfjlgj'_`y'
		local tabling_ivreg_rm "`tabling_ivreg_rm' rm_`lkdfjlgj'_`y'"
	
	}
	est use "${results}/${name}_iv_pool_`lkdfjlgj'_rm"
	est store iv_pool_`lkdfjlgj'_rm

	di "instr: `lkdfjlgj'"
	noi est table `tabling_ivreg_rm' iv_pool_`lkdfjlgj'_rm, star(.1 .05 .01) b(%9.3f) keep(pub)
}
est drop _all


*=================================================
*	INSTRUMENT DECISION
*=================================================
foreach lkdfjlgj of local variousinst {
	forvalues y=$init_year (2) 2012 {
	
		est use "${results}/${name}_probit_`lkdfjlgj'_rm_`y'"
		est store pr_rm_`lkdfjlgj'_`y'
		local tabling_`lkdfjlgj'_rm "`tabling_`lkdfjlgj'_rm' pr_rm_`lkdfjlgj'_`y'"
	}
	est use "${results}/${name}_iv_probit_pool_`lkdfjlgj'_rm"
	est store iv_pr_pool_`lkdfjlgj'_rm

	di "men"
	noi est table `tabling_`lkdfjlgj'_rm' iv_pr_pool_`lkdfjlgj'_rm, stat(widstat) keep(da7) p(%9.3f) t(%9.3f) 
}
est drop _all

*=================================================
*	BOUND
*=================================================
local tipoboundloc "manski mbet sv bsv"
foreach tipobound of local tipoboundloc {
	foreach lkdfjlgj of local variousinst {
		local tabling_ivreg_rw ""
		local tabling_ivreg_rm ""
		local tabling_ivreg ""
		cap mat drop matcoverage_rw
		cap mat drop matcoverage_rm
		forvalues y=$init_year (2) 2012 {

			est use "${results}/${name}_`tipobound'_`lkdfjlgj'_rm_`y'"
			est store `tipobound'_rm_`lkdfjlgj'_`y'
			local tabling_ivreg_rm "`tabling_ivreg_rm' `tipobound'_rm_`lkdfjlgj'_`y'"
		}

		est use "${results}/${name}_`tipobound'_`lkdfjlgj'_rm_pool"
		est store `tipobound'_pool_`lkdfjlgj'_rm
		
		noi est table `tabling_ivreg_rm'  `tipobound'_pool_`lkdfjlgj'_rm, star(.1 .05 .01) b(%9.3f) 
		
	}
	est drop _all

}

est drop _all
clear
 }
 
