local var_genitori "stupcf stumcf conpcf conmcf setpcf setmcf       nopcf nomcf  risfin"
foreach g of local var_genitori {
	cap drop `g' 
	egen `g'=rowtotal(`g'*)
	egen `g'mis=rowmiss(`g'*)
	replace `g'=. if `g'mis==`totyear'
	drop `g'?? `g'mis

}

local comparability_storico_annuale "conpcf conmcf  "
foreach g of local comparability_storico_annuale { // comparability with QUALP10
	recode `g' (1=1) (2=2) (3=2) (4=3) (5=4) (6=5) (7=6) (8=7) (9=10) (10=.)
}
* comparability with SETTP11 & SETPCF
recode settp11 (1=1 "Agricu.") (2=2 "Industry") (9=3 "Pub.") (3 4 5 6 7 8 10 11=4 "Other"), gen(comparison_sett)
local noset "setpcf setmcf   "
replace setpcf = 10 if conpcf ==10	// set as unemployed the sector for those who are unemployed
replace setmcf = 10 if conmcf ==10
replace setmcf = 10 if conmcf ==10
replace setpcf = . if setpcf ==5	// set as unemployed the sector for those who are unemployed
replace setmcf = . if setmcf ==5

local var_genitori "stu con set"
foreach g of local var_genitori {
	* pap
	gen `g'papa=.
	replace `g'papa=`g'pcf if par==1	// capofamiglia
*	replace `g'papa=`g'pco if par==2	// coniuge
	replace `g'papa=`g'pcf if par==4	// unknown
	* mamma
	gen `g'mamma=.
	replace `g'mamma=`g'mcf if par==1	// capofamiglia
*	replace `g'mamma=`g'mco if par==2	// coniuge
	replace `g'mamma=`g'mcf if par==4	// unknown

}
	* recovering information for children still with mum and dad
	* studio
		* dad
gen tmp=studio if cfdic==1 & sesso==1	// padre capofamiglia
egen studiotmp_papa=min(tmp),by(anno nquest)
replace stupapa=studiotmp_papa if par==3	// padre e figlio vivono insieme
drop tmp studiotmp_papa
gen tmp=studio if par==2 & sesso==1		// padre coniuge
egen studiotmp_papa=min(tmp),by(anno nquest)
replace stupapa=studiotmp_papa if par==3 & stupapa==. // madre e figlio vivono insieme
drop tmp studiotmp_papa

		* mum
gen tmp=studio if cfdic==1 & sesso==2	// madre capofamiglia
egen studiotmp_mamma=min(tmp),by(anno nquest)
replace stumamma=studiotmp_mamma if par==3	// madre e figlio vivono insieme
drop tmp studiotmp_mamma
gen tmp=studio if par==2 & sesso==2		// madre coniuge
egen studiotmp_mamma=min(tmp),by(anno nquest)
replace stumamma=studiotmp_mamma if par==3 & stumamma==.	// madre e figlio vivono insieme
drop tmp studiotmp_mamma

replace stupapa=. if stupapa==7
replace stumamma=. if stumamma==7
label define stugenitori 1 "None" 2 "Basic" 3 "Low. Sec." 4 "Secondary" 5 "BA" 6 "BA+"
label value stupapa stugenitori
label value stumamma stugenitori

	* con
		* dad
gen tmp=qualp10 if cfdic==1 & sesso==1	// padre capofamiglia
egen qualtmp_papa=min(tmp),by(anno nquest)
replace conpapa=qualtmp_papa if par==3	// padre e figlio vivono insieme
drop tmp qualtmp_papa
gen tmp=qualp10 if par==2 & sesso==1		// padre coniuge
egen qualtmp_papa=min(tmp),by(anno nquest)
replace conpapa=qualtmp_papa if par==3 & conpapa==. // madre e figlio vivono insieme
drop tmp qualtmp_papa

		* mum
gen tmp=qualp10 if cfdic==1 & sesso==2	// madre capofamiglia
egen qualtmp_mamma=min(tmp),by(anno nquest)
replace conmamma=qualtmp_mamma if par==3	// madre e figlio vivono insieme
drop tmp qualtmp_mamma
gen tmp=qualp10 if par==2 & sesso==2		// madre coniuge
egen qualtmp_mamma=min(tmp),by(anno nquest)
replace conmamma=qualtmp_mamma if par==3 & conmamma==.	// madre e figlio vivono insieme
drop tmp qualtmp_mamma

label define qual_genitori  1 "Blue Collar" 2 "White Coll." 3 "impiegato direttivo" 4 "dirigente" ///
							5 "libero prof." 6 "imprenditore ind." 7 "Lav.Autonomo" 8 "Impresa fam." ///
							9 "socio gestore" 10 "disoccupato"
label value conpapa qual_genitori
label value conmamma qual_genitori

	* set
		* dad
gen tmp=comparison_sett if cfdic==1 & sesso==1	// padre capofamiglia
egen settmp_papa=min(tmp),by(anno nquest)
replace setpapa=settmp_papa if par==3	// padre e figlio vivono insieme
drop tmp settmp_papa
gen tmp=comparison_sett if par==2 & sesso==1		// padre coniuge
egen settmp_papa=min(tmp),by(anno nquest)
replace setpapa=settmp_papa if par==3 & setpapa==. // madre e figlio vivono insieme
drop tmp settmp_papa

		* mum
gen tmp=comparison_sett if cfdic==1 & sesso==2	// madre capofamiglia
egen settmp_mamma=min(tmp),by(anno nquest)
replace setmamma=settmp_mamma if par==3	// madre e figlio vivono insieme
drop tmp settmp_mamma
gen tmp=comparison_sett if par==2 & sesso==2		// madre coniuge
egen settmp_mamma=min(tmp),by(anno nquest)
replace setmamma=settmp_mamma if par==3 & setmamma==.	// madre e figlio vivono insieme
drop tmp settmp_mamma
drop comparison_sett 

gen mammapub=setmamma==3 if setmamma!=.
gen papapub=setpapa==3 if setpapa!=.
label var mammapub "Mother pub."
label var papapub "Father pub."
label define genitoripub  0 "Private" 1 "Public"
label value mammapub genitoripub
label value papapub genitoripub

label define set_genitori  1 "Agricu." 2 "Industry" 3 "Pub" 4 "Other" 10 "Unemployment"
label value setpapa set_genitori
label value setmamma set_genitori

drop  stupcf stumcf    conpcf conmcf   setpcf setmcf  
